{
  "python.analysis.autoImportCompletions": true,
  "python.analysis.extraPaths": [".venv/lib/site-packages"],
  "python.analysis.fixAll": ["source.unusedImports"],
  "python.languageServer": "Pylance",
  "mypy-type-checker.args": [
        "--disallow-untyped-defs=True",
        "--disallow-untyped-calls=True",
        "--check-untyped-defs=True",
        "--warn_return_any=True",
        "--no-implicit-optional=True",
        "--strict_optional=True",
        "--ignore_missing_imports=True",
    ],
    "editor.defaultFormatter": "charliermarsh.ruff",
    "python.useEnvironmentsExtension": true,
    "terminal.integrated.persistentSessionReviveProcess": "never",
    "terminal.integrated.enablePersistentSessions": false,
    "terminal.integrated.hideOnStartup": "always",
    "[jsonc]": {
      "editor.defaultFormatter": "vscode.json-language-features"
    },
    "files.exclude": {
      "**/__pycache__": true
    }
}
